Subject: Re: mutt aliases file not working

From: Darren Hart <[email-masked]>
Date: Fri, 29 Oct 2010 09:04:04 -0700

On 10/29/2010 03:51 AM, Michael J Gruber wrote:
> Darren Hart venit, vidit, dixit 27.10.2010 23:38:
>> For whatever reason, which I'm sure is user error, I haven't been
>> able to get mutt aliases to work, while mailrc works fine:
>>
>> $ mkdir aliases.git
>> $ cd !$
>> $ git init
>> Initialized empty Git repository in /home/dvhart/aliases.git/.git/
>> $ echo "joe Joe Blow [email-masked]">  muttaliases
>
> How about:
>
> echo 'alias joe Joe Blow<[email-masked]>'>  muttaliases

Indeed, that fixes it. I checked my reference for the mutt aliases 
format and apparently missed the "alias " clearly printed out there. My 
apologies.

The git send-email man page is surely sufficient for users of mutt, 
mailrc, pine, elm, gnus as they already have working configurations, but 
for those of us that use a different MUA and just want to get some sort 
of an address book for git, it would be nice to define these formats - 
it would only take one line per format type.

Thanks!

Darren Hart

>
>> $ git add muttaliases
>> $ git commit -m "aliases file"
>> [master (root-commit) b71ae4a] aliases file
>>   1 files changed, 1 insertions(+), 0 deletions(-)
>>   create mode 100644 muttaliases
>> $ git config sendemail.aliasesfile `pwd`/muttaliases
>> $ git config sendemail.aliasfiletype mutt
>> $ cat .git/config
>> [core]
>> 	repositoryformatversion = 0
>> 	filemode = true
>> 	bare = false
>> 	logallrefupdates = true
>> [sendemail]
>> 	aliasesfile = /home/dvhart/aliases.git/muttaliases
>> 	aliasfiletype = mutt
>> $ git send-email --to joe -1
>> /tmp/l0xCEC7o3d/0001-aliases-file.patch
>> Who should the emails appear to be from? [Darren Hart<[email-masked]>]
>> Emails will be sent from: Darren Hart<[email-masked]>
>> Message-ID to be used as In-Reply-To for the first email?
>> (mbox) Adding cc: Darren Hart<[email-masked]>  from line 'From: Darren Hart<[email-masked]>'
>>
>> From: Darren Hart<[email-masked]>
>> To: joe
>>
>>      ^ when using a mailrc fail this expands to [email-masked]
>>
>> Cc: Darren Hart<[email-masked]>
>> Subject: [PATCH] aliases file
>> Date: Wed, 27 Oct 2010 14:29:10 -0700
>> Message-Id:<[email-masked]>
>> X-Mailer: git-send-email 1.7.1
>>
>> Send this email? ([y]es|[n]o|[q]uit|[a]ll): ^C
>>
>> $ stty: standard input: Input/output error
>> ^C
>>
>> Am I doing something obviously wrong?
>>
>

-- 
Darren Hart
Embedded Linux Kernel